Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.xpath.locpath
Enum Axis

    java.lang.Object
      java.lang.Enum<Axis>
          org.basex.query.xpath.locpath.Axis

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Axis>

    public enum Axis

extends java.lang.Enum<Axis>

Defined Axes in XPath.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Tim Petrowsky, Christian Gruen

Enum Constant Summary
`ANC` Anc.
`ANCORSELF` AnceOrSelf.
`ATTR` Attr.
`CHILD` Child.
`DESC` Desc.
`DESCORSELF` DescOrSelf.
`FOLL` Foll.
`FOLLSIBL` FollSibl.
`NAMESPACE` NameSpace.
`PARENT` Parent.
`PREC` Prec.
`PRECSIBL` PrecSibl.
`SELF` Step.

Method Summary
`static Axis` | `find(java.lang.String c)` Returns the specified command.
`static Step` | `get(Axis a, Test test)` Returns a location step instance.
`static Step` | `get(Axis a, Test test, Preds preds)` Returns a location step instance.
`static Axis` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Axis[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ANC

    public static final Axis ANC

  Anc.

### ANCORSELF

    public static final Axis ANCORSELF

  AnceOrSelf.

### ATTR

    public static final Axis ATTR

  Attr.

### CHILD

    public static final Axis CHILD

  Child.

### DESC

    public static final Axis DESC

  Desc.

### DESCORSELF

    public static final Axis DESCORSELF

  DescOrSelf.

### FOLL

    public static final Axis FOLL

  Foll.

### FOLLSIBL

    public static final Axis FOLLSIBL

  FollSibl.

### NAMESPACE

    public static final Axis NAMESPACE

  NameSpace.

### PARENT

    public static final Axis PARENT

  Parent.

### PREC

    public static final Axis PREC

  Prec.

### PRECSIBL

    public static final Axis PRECSIBL

  PrecSibl.

### SELF

    public static final Axis SELF

  Step.

Method Detail

### find

    public static Axis find(java.lang.String c)

  Returns the specified command.

  Parameters:
    `c` - command to be found
  Returns:
    command

### get

    public static Step get(Axis a,
                           Test test)

  Returns a location step instance.

  Parameters:
    `a` - axis
    `test` - node test
  Returns:
    step

### get

    public static Step get(Axis a,
                           Test test,
                           Preds preds)

  Returns a location step instance.

  Parameters:
    `a` - axis
    `test` - node test
    `preds` - predicates
  Returns:
    step

### valueOf

    public static Axis valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### values

    public static Axis[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Axis c : Axis.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD